VMTKPOINTSPLITEXTRACTOR(1)

NAME
vmtkpointsplitextractor - vmtk script vmtkpointsplitextractor

DESCRIPTION
Automatic piping vmtkpointsplitextractor Parsing options vmtkpointsplitextractor

vmtkpointsplitextractor : split a centerline at specific xyz

    coordinates

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Centerlines (vtkPolyData,1)

-ifile CenterlinesInputFileName (str,1): filename for the default

    Centerlines reader

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds

-tractidsarray TractIdsArrayName (str,1); default=TractIds

-centerlineidsarray CenterlineIdsArrayName (str,1);

    default=CenterlineIds

-radiusarray RadiusArrayName (str,1);

    default=MaximumInscribedSphereRadius

-blankingarray BlankingArrayName (str,1); default=Blanking

-splitpoint SplitPoint (float,3); default=[0.0, 0.0, 0.0]

-gaplength GapLength (float,1) >= 0.0; default=1.0

-tolerance Tolerance (float,1) >= 0.0; default=0.0001

-ofile CenterlinesOutputFileName (str,1): filename for the default

    Centerlines writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Centerlines (vtkPolyData,1)

-groupidsarray GroupIdsArrayName (str,1); default=GroupIds

-tractidsarray TractIdsArrayName (str,1); default=TractIds

-centerlineidsarray CenterlineIdsArrayName (str,1);

    default=CenterlineIds

-blankingarray BlankingArrayName (str,1); default=Blanking